| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# Configurable::ConfigurableAlgorithm Class Reference

Inheritance diagram for Configurable::ConfigurableAlgorithm:

[legend]
Collaboration diagram for Configurable::ConfigurableAlgorithm:

[legend]

List of all members.

## Detailed Description

Definition at line 957 of file Configurable.py.

## Public Member Functions
def | __init__
def | __deepcopy__
def | getHandle
def | getGaudiType
def | getJobOptName
## Private Attributes
| _jobOptName
## Static Private Attributes
dictionary | __slots__

## Member Function Documentation

def Configurable::ConfigurableAlgorithm::__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName` |
| ) |  |  |

Reimplemented from Configurable::Configurable.

Definition at line 963 of file Configurable.py.

    00963                                                          :
    00964         super( ConfigurableAlgorithm, self ).__init__( name )
    00965         name = self.getName()
    00966         self._jobOptName = name[ name.find('/')+1 : ]   # strips class
    00967
        def __deepcopy__( self, memo ):

def Configurable::ConfigurableAlgorithm::__deepcopy__ | ( |  | self,
|  |  | memo |
| ) |  |  |

Reimplemented from Configurable::Configurable.

Definition at line 968 of file Configurable.py.

    00968                                   :
    00969         return self                 # algorithms are always shared
    00970
        def getHandle( self ):

def Configurable::ConfigurableAlgorithm::getHandle | ( |  | self | ) |

Definition at line 971 of file Configurable.py.

    00971                          :
    00972         return iAlgorithm( self.getJobOptName() )
    00973
        def getGaudiType( self ):

def Configurable::ConfigurableAlgorithm::getGaudiType | ( |  | self | ) |

Definition at line 974 of file Configurable.py.

    00974                             :
    00975         return 'Algorithm'
    00976
        def getJobOptName( self ):

def Configurable::ConfigurableAlgorithm::getJobOptName | ( |  | self | ) |

Reimplemented from Configurable::Configurable.

Definition at line 977 of file Configurable.py.

    00977                              :
    00978         return self._jobOptName
    00979
    00980
    class ConfigurableService( Configurable ):

## Member Data Documentation

dictionary Configurable::ConfigurableAlgorithm::__slots__`[static, private]`

Initial value:

    { '_jobOptName' : 0, 'OutputLevel' : 0, \
           'Enable' : 1, 'ErrorMax' : 1, 'ErrorCount' : 0, 'AuditAlgorithms' : 0, \
           'AuditInitialize' : 0, 'AuditReinitialize' : 0, 'AuditExecute' : 0, \
           'AuditFinalize' : 0, 'AuditBeginRun' : 0, 'AuditEndRun' : 0 }

Reimplemented from Configurable::Configurable.

Definition at line 958 of file Configurable.py.

Configurable::ConfigurableAlgorithm::_jobOptName`[private]`

Definition at line 966 of file Configurable.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiKernel/python/GaudiKernel/Configurable.py